
Redmine - Patch #13486

Make height of "Commits per author" graph flexible

2013-03-15 16:34 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

This patch changes how the the "Commits per author" graph is generated. Right now this graph is always 400 pixels high. But if a

project has many contributor, say 50, then the result is that for each author, only 8 pixels are available vertically. The results ranges

from looking cramped to being totally unreadable.

The simple solution: Scale the graph based on the number of fields visible vertically.

This resolves issue #1983.

Related issues:

Related to Redmine - Defect #1983: statistics get rather cramped with more th... Closed 2008-10-03

Associated revisions

Revision 11723 - 2013-04-18 04:07 - Toshi MARUYAMA

make height of "Commits per author" graph flexible (#1983, #13486)

Contributed by Max Horn.

Revision 11846 - 2013-05-16 06:29 - Toshi MARUYAMA

remove width and height from repository stats embed tags (#1983, #13486)

History

#1 - 2013-03-21 06:02 - Toshi MARUYAMA

- Category changed from SCM extra to SCM

#2 - 2013-04-17 22:19 - Anonymous

No feedback after a month? :-(.

#3 - 2013-04-18 05:29 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r11723, thanks.

#4 - 2013-04-18 11:21 - Anonymous

Thank you :-)

Files

flexible-repos-stats.patch 1.9 KB 2013-03-15 Anonymous
